function end_xinggui()


pid=player.GetMainPlayer()

	if pid==1	then
		tx=515
	elseif pid==2	then
		tx=182
	elseif	pid==4	then
		tx=126
	elseif	pid==8	then
		tx=165
	elseif	pid==16	then
		tx=115
	elseif	pid==32	then
		tx=542
	elseif	pid==64	then
		tx=629
	elseif	pid==128	then
		tx=150
	elseif	pid==256	then
		tx=622		
	elseif	pid==512	then
		tx=560	
	end
	
	flag.SetValue(40044,3)
	
	camera.ChangeCameraFree()
	effect.FadeOut(1,1)
-----------删除NPC----------------
	npc.Destroy(160)	--腥鬼
	npc.Destroy(161)	
	npc.Destroy(162)
	npc.Destroy(163)
	npc.Destroy(164)
	npc.Destroy(165)
	npc.Destroy(166)    --胖和尚队长 
	npc.Destroy(167)	--小和尚
	npc.Destroy(155)
	
----------------进行剧情----------------------
	
	effect.FadeIn(1,1)
	
	npc.Create(13102,165,4489,219)		--为首的老方丈
	npc.SetAt(165,0,1)
	
	npc.Create(13103,155,4515,192)		--胖和尚（小头目）·1
	npc.SetAt(155,0,1)
	npc.Disable(155)
	
	npc.Create(13103,166,4461,191)		--胖和尚（小头目）·2
	npc.SetAt(166,0,1)
	npc.Disable(166)
	
	npc.Create(13104,161,4541,164)		--和尚小弟（瘦）
	npc.SetAt(161,0,1)
	npc.Disable(161)
	
	npc.Create(13104,162,4501,164)		--和尚小弟（瘦）
	npc.SetAt(162,0,1)
	npc.Disable(162)

	npc.Create(13104,163,4475,164)		--和尚小弟（瘦）
	npc.SetAt(163,0,1)
	npc.Disable(163)

	npc.Create(13104,164,4436,164)		--和尚小弟（瘦）
	npc.SetAt(164,0,1)
	npc.Disable(164)
	
	npc.Create(13101,167,4473,215)		--小和尚
	npc.SetAt(167,0,1)
	npc.Disable(167)
-------------设置玩家位置--------------------
	player.SetPos(4489,278)	
	player.SetAt(0,-1)
	
	
	global.BeginScene()
	camera.ChangeCameraStatic(4431,60,492,4488,-1,283)
	ui.Dialog(90299,100,0,165,0,0)	--几位施主的恩情，本寺众僧实在感激不尽，这些丹药全表心意，忘几位收下，不要推辞。
	ui.Dialog(90300,100,0,166,0,0)	--是啊，施主你们就收下吧～
	ui.Dialog(90301,100,0,161,0,0)	--收下吧，施主。
	ui.Dialog(90302,tx,0,0,pid,0)	--盛情难却，我们就谢过诸位大师了。
	ui.Dialog(90303,100,0,165,0,0)	--不必客气，几位来此的目的老衲也略知一二，我寺的传送阵，几位施主也可随意使用了，就在寺的另一边。
	ui.Dialog(90304,tx,0,0,pid,0)	--多谢方丈，我等先告辞了。
	player.AddEquip(2140,1,1)	--获得武器--风车
	
	camera.ChangeCameraFree()
	global.EndScene()
	global.BeginScene()
	if flag.GetValue(6001)>=151	then
		flag.SetValue(45000,1)		--开启黑包子按钮。
	elseif flag.GetValue(6001)<151	then
		flag.SetValue(45000,2)
	end
	global.EndScene()
end
